import {MigrationInterface, QueryRunner} from 'typeorm';

export class Broadcasts1575846984041 implements MigrationInterface {
    public name = 'Broadcasts1575846984041';

    public async up(queryRunner: QueryRunner): Promise<any> {
        await queryRunner.query('CREATE TABLE `broadcasts` (`id` varchar(36) NOT NULL, `title` varchar(255) NOT NULL, `body` text NOT NULL, `replaySend` tinyint NOT NULL DEFAULT 1, `dateSent` datetime NULL, `dateModified` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6), `dateCreated` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6), UNIQUE INDEX `IDX_b0586900034d0726bbdcb1b21b` (`id`), PRIMARY KEY (`id`)) ENGINE=InnoDB', undefined);
        await queryRunner.query('ALTER TABLE `session` DROP FOREIGN KEY `FK_3d2f174ef04fb312fdebd0ddc53`', undefined);
        await queryRunner.query('ALTER TABLE `session` CHANGE `userId` `userId` varchar(36) NULL', undefined);
        await queryRunner.query('ALTER TABLE `session` ADD CONSTRAINT `FK_3d2f174ef04fb312fdebd0ddc53` FOREIGN KEY (`userId`) REFERENCES `user`(`id`) ON DELETE NO ACTION ON UPDATE NO ACTION', undefined);
    }

    public async down(queryRunner: QueryRunner): Promise<any> {
        await queryRunner.query('ALTER TABLE `session` DROP FOREIGN KEY `FK_3d2f174ef04fb312fdebd0ddc53`', undefined);
        await queryRunner.query('ALTER TABLE `session` CHANGE `userId` `userId` varchar(36) NULL DEFAULT \'NULL\'', undefined);
        await queryRunner.query('ALTER TABLE `session` ADD CONSTRAINT `FK_3d2f174ef04fb312fdebd0ddc53` FOREIGN KEY (`userId`) REFERENCES `user`(`id`) ON DELETE NO ACTION ON UPDATE NO ACTION', undefined);
        await queryRunner.query('DROP INDEX `IDX_b0586900034d0726bbdcb1b21b` ON `broadcasts`', undefined);
        await queryRunner.query('DROP TABLE `broadcasts`', undefined);
    }

}
