/**
 * Check if the user is not interested in the presented option.
 * @param input The user input
 */
export function isNoReply(input: string) {
    if (!input) { return true; }
    input = input.toLowerCase();
    const matches = input.match(/.*\b(nein|ne+|no+|na|n\b|passt|danke\w*).*/g);
    if (matches) { return true; }
    return false;
}
