import { forwardRef, Module } from '@nestjs/common';

import { EventsModule } from '../events/events.module';
import { UserModule } from '../user/user.module';

import { CalendarsController } from './calendars.controller';

@Module({
  imports: [
    forwardRef(() => UserModule),
    forwardRef(() => EventsModule)
  ],
  controllers: [
    CalendarsController
  ]
})
export class CalendarsModule { }
